Bug 41373 - network unusable after failure to renew lease
network unusable after failure to renew lease
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-19 12:29 EDT by David Newall
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 16:32:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to reinitialize interface after renewal fails, also additional logging, and new feature to set hostname (see nohostname pump.conf option) (7.35 KB, patch)
2001-05-19 12:35 EDT, David Newall
no flags Details | Diff

  None (edit)
Description David Newall 2001-05-19 12:29:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows 95)

Description of problem:
If pump is unable to renew a lease it requests a new one.  After obtaining 
the new lease it leaves the interface configured with address 0.0.0.0.  
Pump also sucks badly in error reporting.

How reproducible:
Always

Steps to Reproduce:
1. Configure interface using pump
2. Arrange for DHCP server to refuse to renew the lease
3. Wait for pump to to try to renew the lease

Actual Results:  ifconfig shows interface has no address.  Cannot access 
network.

Additional info:

Pump does attempt to obtain a new lease, however it resets the interface 
to address 0.0.0.0 beforehand, and fails to set the interface to the new 
address (or the old one) afterwards.

Pump also discards most error messages.  Pretty sucky, huh?

Attached is a patch against pump-0.8.3 that corrects the problem.  It also 
logs errors, rather than discarding them, and adds a useful feature: 
setting the machine hostname according to the name returned by the DHCP 
server.
Comment 1 David Newall 2001-05-19 12:35:04 EDT
Created attachment 19012 [details]
Patch to reinitialize interface after renewal fails, also additional logging, and new feature to set hostname (see nohostname pump.conf option)
Comment 2 Eido Inoue 2004-08-23 16:32:06 EDT
patch in current cvs. pump not used in this interactive form for
current releases.

Note You need to log in before you can comment on or make changes to this bug.